local _init_melee_weapons_actual = BlackMarketTweakData._init_melee_weapons

function BlackMarketTweakData:_init_melee_weapons(...)
    _init_melee_weapons_actual(self, ...)
		

	--Weapon Butt
	self.melee_weapons.weapon.stats.min_damage = 3
	self.melee_weapons.weapon.stats.max_damage = 3
	self.melee_weapons.weapon.stats.min_damage_effect = 2.5
	self.melee_weapons.weapon.stats.max_damage_effect = 2.5
	self.melee_weapons.weapon.stats.range = 160
	self.melee_weapons.weapon.stats.concealment = 31
	self.melee_weapons.weapon.expire_t = 0.6
	self.melee_weapons.weapon.repeat_expire_t = 0.6
	
	
	--Fists
	self.melee_weapons.fists.stats.min_damage = 2
	self.melee_weapons.fists.stats.max_damage = 3.9
	self.melee_weapons.fists.stats.min_damage_effect = 4.25
	self.melee_weapons.fists.stats.max_damage_effect = 5.25
	self.melee_weapons.fists.stats.charge_time = 2
	self.melee_weapons.fists.stats.range = 160
	self.melee_weapons.fists.stats.concealment = 31	
	self.melee_weapons.fists.repeat_expire_t = 0.43
	self.melee_weapons.fists.expire_t = 1
	self.melee_weapons.fists.melee_damage_delay = 0.2
	
	
	--OVERDEAL Boxing Gloves 
	self.melee_weapons.boxing_gloves.stats.min_damage = 2
	self.melee_weapons.boxing_gloves.stats.max_damage = 5
	self.melee_weapons.boxing_gloves.stats.min_damage_effect = 4.25
	self.melee_weapons.boxing_gloves.stats.max_damage_effect = 5
	self.melee_weapons.boxing_gloves.stats.charge_time = 2
	self.melee_weapons.boxing_gloves.stats.range = 160
	self.melee_weapons.boxing_gloves.stats.concealment = 28
	self.melee_weapons.boxing_gloves.repeat_expire_t = 0.44
	self.melee_weapons.boxing_gloves.expire_t = 1
	self.melee_weapons.boxing_gloves.melee_damage_delay = 0.2

	
	--Briefcase
	self.melee_weapons.briefcase.stats.min_damage = 1
	self.melee_weapons.briefcase.stats.max_damage = 5
	self.melee_weapons.briefcase.stats.min_damage_effect = 5
	self.melee_weapons.briefcase.stats.max_damage_effect = 3.6
	self.melee_weapons.briefcase.stats.charge_time = 0.8
	self.melee_weapons.briefcase.stats.range = 170
	self.melee_weapons.briefcase.stats.concealment = 31
	self.melee_weapons.briefcase.repeat_expire_t = 0.9
	self.melee_weapons.briefcase.expire_t = 1.1
	self.melee_weapons.briefcase.melee_damage_delay = 0.2
	
	
	--350k Brass Knuckles
	self.melee_weapons.brass_knuckles.stats.min_damage = 1.5
	self.melee_weapons.brass_knuckles.stats.max_damage = 5
	self.melee_weapons.brass_knuckles.stats.min_damage_effect = 5
	self.melee_weapons.brass_knuckles.stats.max_damage_effect = 5
	self.melee_weapons.brass_knuckles.stats.charge_time = 2
	self.melee_weapons.brass_knuckles.stats.range = 160
	self.melee_weapons.brass_knuckles.stats.concealment = 31
	self.melee_weapons.brass_knuckles.repeat_expire_t = 0.44
	self.melee_weapons.brass_knuckles.expire_t = 1
	self.melee_weapons.brass_knuckles.melee_damage_delay = 0.2
	

	--Pounder
    self.melee_weapons.nin.stats.min_damage = 6.5
	self.melee_weapons.nin.stats.max_damage = 6.5
	self.melee_weapons.nin.stats.min_damage_effect = 4.615384615384615
	self.melee_weapons.nin.stats.max_damage_effect = 4.615384615384615
    self.melee_weapons.nin.stats.charge_time = 1
	self.melee_weapons.nin.stats.range = 170
	self.melee_weapons.nin.stats.concealment = 28
	self.melee_weapons.nin.attack_allowed_expire_t = 1.2
	self.melee_weapons.nin.repeat_expire_t = 6
	self.melee_weapons.nin.melee_damage_delay = 0.1
	
	
	--Talons
		self.melee_weapons.tiger.dot_data = {
		type = "poison",
		custom_data = {dot_damage = 5, dot_length = 1, hurt_animation_chance = 65}
	}
	self.melee_weapons.tiger.stats.min_damage = 5.5
	self.melee_weapons.tiger.stats.max_damage = 13
	self.melee_weapons.tiger.stats.min_damage_effect = 1
	self.melee_weapons.tiger.stats.max_damage_effect = 2
	self.melee_weapons.tiger.stats.charge_time = 1
	self.melee_weapons.tiger.stats.range = 165
	self.melee_weapons.tiger.repeat_expire_t = 0.36
	self.melee_weapons.tiger.expire_t = 1
	self.melee_weapons.tiger.melee_damage_delay = 0.1


    --Empty Palm Kata
	self.melee_weapons.fight.stats.min_damage = 0.5 
	self.melee_weapons.fight.stats.max_damage = 5
	self.melee_weapons.fight.stats.charge_time = 5
    self.melee_weapons.fight.stats.min_damage_effect = 14
    self.melee_weapons.fight.stats.max_damage_effect = 18
	self.melee_weapons.fight.stats.range = 160
	self.melee_weapons.fight.stats.concealment = 31
	self.melee_weapons.fight.repeat_expire_t = 0.4
	self.melee_weapons.fight.expire_t = 1.05
	self.melee_weapons.fight.melee_damage_delay = 0.1
	
	
	--Money Bundle
	self.melee_weapons.moneybundle.stats.min_damage = 0.2
    self.melee_weapons.moneybundle.stats.max_damage = 1
    self.melee_weapons.moneybundle.stats.min_damage_effect = 15
    self.melee_weapons.moneybundle.stats.max_damage_effect = 10
    self.melee_weapons.moneybundle.stats.charge_time = 1
	self.melee_weapons.moneybundle.stats.range = 160
	self.melee_weapons.moneybundle.stats.concealment = 31
	self.melee_weapons.moneybundle.repeat_expire_t = 0.45
	self.melee_weapons.moneybundle.expire_t = 1.1
	self.melee_weapons.moneybundle.melee_damage_delay = 0.1
	
	
	--Trautman Knife :D
    self.melee_weapons.rambo.stats.min_damage = 3
	self.melee_weapons.rambo.stats.max_damage = 60
	self.melee_weapons.rambo.stats.min_damage_effect = 1
	self.melee_weapons.rambo.stats.max_damage_effect = 0.2666666666666667
	self.melee_weapons.rambo.stats.charge_time = 4
	self.melee_weapons.rambo.stats.range = 190
	self.melee_weapons.rambo.anim_global_param = "melee_knife"
	self.melee_weapons.rambo.repeat_expire_t = 0.53
	self.melee_weapons.rambo.expire_t = 1.1
	self.melee_weapons.rambo.melee_damage_delay = 0.1

	
	
	--Ursa Tanto Knife
	self.melee_weapons.kabartanto.stats.min_damage = 3.5
	self.melee_weapons.kabartanto.stats.max_damage = 55
	self.melee_weapons.kabartanto.stats.min_damage_effect = 1
	self.melee_weapons.kabartanto.stats.max_damage_effect = 0.2909090909090909
	self.melee_weapons.kabartanto.stats.charge_time = 4
	self.melee_weapons.kabartanto.stats.range = 190
	self.melee_weapons.kabartanto.repeat_expire_t = 0.49
	self.melee_weapons.kabartanto.expire_t = 1.1
	self.melee_weapons.kabartanto.melee_damage_delay = 0.1

	
	--Arkansas Toothpick
	self.melee_weapons.bowie.stats.min_damage = 2.5
	self.melee_weapons.bowie.stats.max_damage = 65
	self.melee_weapons.bowie.stats.min_damage_effect = 2
	self.melee_weapons.bowie.stats.max_damage_effect = 0.2307692307692308
	self.melee_weapons.bowie.stats.charge_time = 4
    self.melee_weapons.bowie.stats.range = 180
	self.melee_weapons.bowie.expire_t = 1.1
	self.melee_weapons.bowie.repeat_expire_t = 0.6
	self.melee_weapons.bowie.attack_allowed_expire_t = 0.1
	
	
	--Ursa
	self.melee_weapons.kabar.stats.min_damage = 2.5
	self.melee_weapons.kabar.stats.max_damage = 42.5
	self.melee_weapons.kabar.stats.min_damage_effect = 1.6
	self.melee_weapons.kabar.stats.max_damage_effect = 0.2117647058823529
	self.melee_weapons.kabar.stats.charge_time = 3
	self.melee_weapons.kabar.stats.range = 180
	self.melee_weapons.kabar.anim_global_param = "melee_knife"
	self.melee_weapons.kabar.repeat_expire_t = 0.52
	self.melee_weapons.kabar.expire_t = 1.1
	self.melee_weapons.kabar.melee_damage_delay = 0.1
	
	
	--Krieger
    self.melee_weapons.kampfmesser.stats.min_damage = 2.5
	self.melee_weapons.kampfmesser.stats.max_damage = 42.5
	self.melee_weapons.kampfmesser.stats.min_damage_effect = 1.6
	self.melee_weapons.kampfmesser.stats.max_damage_effect = 0.2117647058823529
	self.melee_weapons.kampfmesser.stats.charge_time = 3
	self.melee_weapons.kampfmesser.stats.range = 180
	self.melee_weapons.kampfmesser.anim_global_param = "melee_knife"
	self.melee_weapons.kampfmesser.repeat_expire_t = 0.52
	self.melee_weapons.kampfmesser.expire_t = 1.1
	self.melee_weapons.kampfmesser.melee_damage_delay = 0.1
	
	
	--Berger Combat Knife
		self.melee_weapons.gerber.dot_data = {
		type = "poison",
		custom_data = {dot_damage = 1, dot_length = 1, hurt_animation_chance = 0}
	}
	self.melee_weapons.gerber.stats.min_damage = 2
	self.melee_weapons.gerber.stats.max_damage = 20
	self.melee_weapons.gerber.stats.min_damage_effect = 1.5
	self.melee_weapons.gerber.stats.max_damage_effect = 0.4
	self.melee_weapons.gerber.stats.charge_time = 2
	self.melee_weapons.gerber.stats.concealment = 31
	self.melee_weapons.gerber.anim_global_param = "melee_knife"
	self.melee_weapons.gerber.expire_t = 1.1
	
	
	--X-46 Utility Knife
    self.melee_weapons.x46.stats.min_damage = 2.5
	self.melee_weapons.x46.stats.max_damage = 8
	self.melee_weapons.x46.stats.min_damage_effect = 2
	self.melee_weapons.x46.stats.max_damage_effect = 4.75
	self.melee_weapons.x46.stats.charge_time = 3
	self.melee_weapons.x46.expire_t = 1.1
	self.melee_weapons.x46.repeat_expire_t = 0.5
    self.melee_weapons.x46.melee_damage_delay = 0.1
	
	
	--Psycho Knife
		self.melee_weapons.chef.dot_data = {
		type = "poison",
		custom_data = {dot_damage = 1.5, dot_length = 2, hurt_animation_chance = 0}
	}
	
	self.melee_weapons.chef.stats.min_damage = 1.5
	self.melee_weapons.chef.stats.max_damage = 67
	self.melee_weapons.chef.stats.min_damage_effect = 0.6666666666666667
	self.melee_weapons.chef.stats.max_damage_effect = 0.2014925373134328
	self.melee_weapons.chef.stats.charge_time = 4
	self.melee_weapons.chef.stats.concealment = 28
	self.melee_weapons.chef.stats.range = 160
	self.melee_weapons.chef.expire_t = 1.1
	self.melee_weapons.chef.repeat_expire_t = 0.36
    self.melee_weapons.chef.melee_damage_delay = 0.1
	
	
	--Specialist Knives (Akimbo Knives)
	self.melee_weapons.ballistic.anim_attack_vars = {"var2","var3","var4"}
	self.melee_weapons.ballistic.stats.min_damage = 5
	self.melee_weapons.ballistic.stats.max_damage = 16
	self.melee_weapons.ballistic.stats.min_damage_effect = 1.5
	self.melee_weapons.ballistic.stats.max_damage_effect = 1
	self.melee_weapons.ballistic.stats.charge_time = 1
	self.melee_weapons.ballistic.stats.range = 175
	self.melee_weapons.ballistic.expire_t = 1.2
	self.melee_weapons.ballistic.repeat_expire_t = 0.375
    self.melee_weapons.ballistic.melee_damage_delay = 0.1

    
	
	--Utility Knife
		self.melee_weapons.boxcutter.dot_data = {
		type = "poison",
		custom_data = {dot_damage = 1, dot_length = 1, hurt_animation_chance = 0}
	}
	self.melee_weapons.boxcutter.stats.min_damage = 2
	self.melee_weapons.boxcutter.stats.max_damage = 18
	self.melee_weapons.boxcutter.stats.min_damage_effect = 1.5
	self.melee_weapons.boxcutter.stats.max_damage_effect = 0.4210526315789474
	self.melee_weapons.boxcutter.stats.charge_time = 2
	self.melee_weapons.boxcutter.stats.range = 160
	self.melee_weapons.boxcutter.stats.concealment = 31
	self.melee_weapons.boxcutter.anim_global_param = "melee_wing"
	self.melee_weapons.boxcutter.expire_t = 0.9
	self.melee_weapons.boxcutter.repeat_expire_t = 0.5
	self.melee_weapons.boxcutter.melee_damage_delay = 0.1
	
	
	--Switchblade
	self.melee_weapons.switchblade.stats.min_damage = 3
	self.melee_weapons.switchblade.stats.max_damage = 35
	self.melee_weapons.switchblade.stats.charge_time = 5
	self.melee_weapons.switchblade.stats.max_damage_effect = 0.7571428571428571
	self.melee_weapons.switchblade.stats.range = 175
	self.melee_weapons.switchblade.stats.concealment = 31
	self.melee_weapons.switchblade.repeat_expire_t = 0.31
	self.melee_weapons.switchblade.expire_t = 1
	self.melee_weapons.switchblade.melee_damage_delay = 0.1
	
	
	--Diving Knife
	self.melee_weapons.pugio.stats.min_damage = 3
	self.melee_weapons.pugio.stats.max_damage = 35
	self.melee_weapons.pugio.stats.charge_time = 5
	self.melee_weapons.pugio.stats.max_damage_effect = 0.7571428571428571
	self.melee_weapons.pugio.stats.concealment = 31
	self.melee_weapons.pugio.repeat_expire_t = 0.31
	self.melee_weapons.pugio.expire_t = 1
	self.melee_weapons.pugio.melee_damage_delay = 0.1
	
	
	--Nova's Shank
	self.melee_weapons.toothbrush.dot_data = {
		type = "poison",
		custom_data = {dot_damage = 0.5, dot_length = 3, hurt_animation_chance = 0}
	}
	self.melee_weapons.toothbrush.anim_attack_vars = {"var1"}
	self.melee_weapons.toothbrush.stats.min_damage = 2.5
	self.melee_weapons.toothbrush.stats.max_damage = 8.5
	self.melee_weapons.toothbrush.stats.charge_time = 2
	self.melee_weapons.toothbrush.stats.max_damage_effect = 1
	self.melee_weapons.toothbrush.stats.range = 165
	self.melee_weapons.toothbrush.stats.concealment = 31
	self.melee_weapons.toothbrush.repeat_expire_t = 0.3
	self.melee_weapons.toothbrush.expire_t = 1.1
	self.melee_weapons.toothbrush.melee_damage_delay = 0.1
	
	
	--Bayonet
    self.melee_weapons.bayonet.stats.min_damage = 2
	self.melee_weapons.bayonet.stats.max_damage = 10
	self.melee_weapons.bayonet.stats.min_damage_effect = 2
	self.melee_weapons.bayonet.stats.max_damage_effect = 3.75
	self.melee_weapons.bayonet.stats.charge_time = 3
	self.melee_weapons.bayonet.anim_global_param = "melee_knife"
	self.melee_weapons.bayonet.expire_t = 1.1
	self.melee_weapons.bayonet.repeat_expire_t = 0.5
    self.melee_weapons.bayonet.melee_damage_delay = 0.1

	
	
	--Trench Knife
	self.melee_weapons.fairbair.stats.min_damage = 3.5
	self.melee_weapons.fairbair.stats.max_damage = 11
	self.melee_weapons.fairbair.stats.max_damage_effect = 3
	self.melee_weapons.fairbair.stats.charge_time = 2.5
	self.melee_weapons.fairbair.stats.concealment = 30
	self.melee_weapons.fairbair.repeat_expire_t = 0.3
	self.melee_weapons.fairbair.expire_t = 1.1
	self.melee_weapons.fairbair.melee_damage_delay = 0.1
	
	
	--The Motherforker
	self.melee_weapons.fork.stats.min_damage = 4
	self.melee_weapons.fork.stats.max_damage = 11.5
	self.melee_weapons.fork.stats.max_damage_effect = 3
	self.melee_weapons.fork.stats.charge_time = 2.5
	self.melee_weapons.fork.stats.concealment = 29
	self.melee_weapons.fork.repeat_expire_t = 0.3
	self.melee_weapons.fork.expire_t = 1.1
	self.melee_weapons.fork.melee_damage_delay = 0.1

	
	--Sai
	self.melee_weapons.twins.stats.min_damage = 3
	self.melee_weapons.twins.stats.max_damage = 18.5
	self.melee_weapons.twins.stats.min_damage_effect = 1
	self.melee_weapons.twins.stats.max_damage_effect = 1.486486486486486
	self.melee_weapons.twins.stats.charge_time = 0.6
	self.melee_weapons.twins.stats.concealment = 28
	self.melee_weapons.twins.repeat_expire_t = 0.48
	self.melee_weapons.twins.expire_t = 1.2
	self.melee_weapons.twins.melee_damage_delay = 0.1

	
	
	--Machete Knife
	    self.melee_weapons.machete.dot_data = {
		type = "poison",
		custom_data = {dot_damage = 1.5, dot_length = 1, hurt_animation_chance = 0}
	}
	self.melee_weapons.machete.stats.min_damage = 6.5
	self.melee_weapons.machete.stats.max_damage = 49.0
	self.melee_weapons.machete.stats.min_damage_effect = 0.5384615384615385
	self.melee_weapons.machete.stats.charge_time = 5
	self.melee_weapons.machete.stats.concealment = 27
	self.melee_weapons.machete.stats.range = 250
	self.melee_weapons.machete.repeat_expire_t = 0.6
	self.melee_weapons.machete.expire_t = 1
	self.melee_weapons.machete.melee_damage_delay = 0.1

	
    --Point Break Machete
		self.melee_weapons.gator.dot_data = {
		type = "poison",
		custom_data = {dot_damage = 1.5, dot_length = 3, hurt_animation_chance = 0}
	}
	self.melee_weapons.gator.stats.min_damage = 4
	self.melee_weapons.gator.stats.max_damage = 43.5
	self.melee_weapons.gator.stats.min_damage_effect = 0.5
	self.melee_weapons.gator.stats.charge_time = 5
	self.melee_weapons.gator.stats.concealment = 27
	self.melee_weapons.gator.stats.range = 240
	self.melee_weapons.gator.repeat_expire_t = 0.52
	self.melee_weapons.gator.expire_t = 1.2
	self.melee_weapons.gator.melee_damage_delay = 0.1
	
	
	--Dragan's Cleaver 	
		self.melee_weapons.meat_cleaver.dot_data = {
		type = "poison",
		custom_data = {dot_damage = 1.5, dot_length = 2, hurt_animation_chance = 0}
	}
	self.melee_weapons.meat_cleaver.stats.min_damage = 5
	self.melee_weapons.meat_cleaver.stats.max_damage = 11.5
	self.melee_weapons.meat_cleaver.stats.min_damage_effect = 1
	self.melee_weapons.meat_cleaver.stats.max_damage_effect = 1.521739130434783
	self.melee_weapons.meat_cleaver.stats.charge_time = 2
	self.melee_weapons.meat_cleaver.stats.range = 195
	self.melee_weapons.meat_cleaver.stats.concealment = 28
	self.melee_weapons.meat_cleaver.repeat_expire_t = 0.59
	self.melee_weapons.meat_cleaver.expire_t = 1
	self.melee_weapons.meat_cleaver.melee_damage_delay = 0.1
	
	
	--Cleaver Knife
		self.melee_weapons.cleaver.dot_data = {
		type = "poison",
		custom_data = {dot_damage = 1.5, dot_length = 3, hurt_animation_chance = 0}
	}
	self.melee_weapons.cleaver.anim_global_param = "melee_axe"
	self.melee_weapons.cleaver.align_objects = {"a_weapon_right"}
	self.melee_weapons.cleaver.stats.min_damage = 4
	self.melee_weapons.cleaver.stats.max_damage = 10.5
	self.melee_weapons.cleaver.stats.min_damage_effect = 1
	self.melee_weapons.cleaver.stats.max_damage_effect = 1.619047619047619
	self.melee_weapons.cleaver.stats.charge_time = 2
	self.melee_weapons.cleaver.stats.range = 195
	self.melee_weapons.cleaver.stats.concealment = 28
	self.melee_weapons.cleaver.repeat_expire_t = 0.58
	self.melee_weapons.cleaver.expire_t = 1
	self.melee_weapons.cleaver.melee_damage_delay = 0.1
	
	
	--Utility Machete
		self.melee_weapons.becker.dot_data = {
		type = "poison",
		custom_data = {dot_damage = 35, dot_length = 12, hurt_animation_chance = 0}
	}
	self.melee_weapons.becker.align_objects = {"a_weapon_left"}
	self.melee_weapons.becker.stats.min_damage = 0
	self.melee_weapons.becker.stats.max_damage = 40
	self.melee_weapons.becker.stats.min_damage_effect = 0
	self.melee_weapons.becker.stats.max_damage_effect = 1.875
	self.melee_weapons.becker.stats.charge_time = 5		
	self.melee_weapons.becker.stats.concealment = 29
	self.melee_weapons.becker.stats.range = 200
	self.melee_weapons.becker.anim_global_param = "melee_knife"
	self.melee_weapons.becker.attack_allowed_expire_t = 3
	self.melee_weapons.becker.repeat_expire_t = 11
	self.melee_weapons.becker.expire_t = 1.4

	
	--Lucille Baseball Bat
        self.melee_weapons.barbedwire.dot_data = {
		type = "poison",
		custom_data = {dot_damage = 1.5, dot_length = 2, hurt_animation_chance = 0}
	}
	self.melee_weapons.barbedwire.stats.min_damage = 2.5
    self.melee_weapons.barbedwire.stats.max_damage = 10
	self.melee_weapons.barbedwire.stats.min_damage_effect = 4.6
	self.melee_weapons.barbedwire.stats.max_damage_effect = 5
	self.melee_weapons.barbedwire.stats.charge_time = 4
	self.melee_weapons.barbedwire.stats.range = 275
	self.melee_weapons.barbedwire.repeat_expire_t = 1
	self.melee_weapons.barbedwire.expire_t = 1.2
	self.melee_weapons.barbedwire.melee_damage_delay = 0.2
	
	
	--Miami Baseball Bat
    self.melee_weapons.baseballbat.stats.min_damage = 2.5
    self.melee_weapons.baseballbat.stats.max_damage = 10.5
	self.melee_weapons.baseballbat.stats.min_damage_effect = 5.6
	self.melee_weapons.baseballbat.stats.max_damage_effect = 5
	self.melee_weapons.baseballbat.stats.charge_time = 4
	self.melee_weapons.baseballbat.stats.range = 260
	self.melee_weapons.baseballbat.stats.concealment = 28
	self.melee_weapons.baseballbat.repeat_expire_t = 0.9
	self.melee_weapons.baseballbat.expire_t = 1.2
	self.melee_weapons.baseballbat.melee_damage_delay = 0.2
	
	
	--Hockey Stick
	self.melee_weapons.hockey.stats.min_damage = 2.5
    self.melee_weapons.hockey.stats.max_damage = 15
	self.melee_weapons.hockey.stats.min_damage_effect = 4
	self.melee_weapons.hockey.stats.max_damage_effect = 4.8
	self.melee_weapons.hockey.stats.charge_time = 5
	self.melee_weapons.hockey.stats.range = 265
	self.melee_weapons.hockey.stats.concealment = 28
	self.melee_weapons.hockey.repeat_expire_t = 0.8
	self.melee_weapons.hockey.expire_t = 1.2
	self.melee_weapons.hockey.melee_damage_delay = 0.1
	
	
	--Survival Tomahawk	
	self.melee_weapons.tomahawk.stats.min_damage = 6
	self.melee_weapons.tomahawk.stats.max_damage = 18
	self.melee_weapons.tomahawk.stats.min_damage_effect = 1.25
	self.melee_weapons.tomahawk.stats.max_damage_effect = 1.5
	self.melee_weapons.tomahawk.stats.charge_time = 3
	self.melee_weapons.tomahawk.stats.concealment = 28
	self.melee_weapons.tomahawk.repeat_expire_t = 0.65
	self.melee_weapons.tomahawk.expire_t = 0.8
	self.melee_weapons.tomahawk.melee_damage_delay = 0.1
	
	
	--Fire Axe
	self.melee_weapons.fireaxe.stats.min_damage = 7
	self.melee_weapons.fireaxe.stats.max_damage = 25
	self.melee_weapons.fireaxe.stats.min_damage_effect = 1
	self.melee_weapons.fireaxe.stats.max_damage_effect = 1.1
	self.melee_weapons.fireaxe.stats.charge_time = 0.8
	self.melee_weapons.fireaxe.stats.concealment = 27
	self.melee_weapons.fireaxe.stats.range = 245
	self.melee_weapons.fireaxe.repeat_expire_t = 1.6
	self.melee_weapons.fireaxe.expire_t = 1.75
	self.melee_weapons.fireaxe.melee_damage_delay = 0.6
	
    
	--Bearded Axe 
    self.melee_weapons.beardy.stats.min_damage = 7
	self.melee_weapons.beardy.stats.max_damage = 102.5
	self.melee_weapons.beardy.stats.min_damage_effect = 1
	self.melee_weapons.beardy.stats.max_damage_effect = 1
	self.melee_weapons.beardy.stats.charge_time = 6.5
	self.melee_weapons.beardy.stats.concealment = 26
	self.melee_weapons.beardy.stats.range = 230
	self.melee_weapons.beardy.repeat_expire_t = 1.1
	self.melee_weapons.beardy.expire_t = 1.35
	self.melee_weapons.beardy.melee_damage_delay = 0.55
	
	
	--Great Sword 
	self.melee_weapons.great.stats.min_damage = 7
	self.melee_weapons.great.stats.max_damage = 75
	self.melee_weapons.great.stats.min_damage_effect = 0.7142857142857143
	self.melee_weapons.great.stats.max_damage_effect = 0.5
	self.melee_weapons.great.stats.charge_time = 6
	self.melee_weapons.great.stats.concealment = 26
	self.melee_weapons.great.stats.range = 280
	self.melee_weapons.great.repeat_expire_t = 1.1
	self.melee_weapons.great.expire_t = 1.40
	self.melee_weapons.great.melee_damage_delay = 0.56
	
	
	--Katana fix
	self.melee_weapons.sandsteel.stats.min_damage = 7
	self.melee_weapons.sandsteel.stats.max_damage = 45
	self.melee_weapons.sandsteel.stats.min_damage_effect = 0.7142857142857143
	self.melee_weapons.sandsteel.stats.max_damage_effect = 0.5
	self.melee_weapons.sandsteel.stats.charge_time = 4
	self.melee_weapons.sandsteel.stats.concealment = 27
	self.melee_weapons.sandsteel.stats.range = 245
	self.melee_weapons.sandsteel.repeat_expire_t = 0.52
	self.melee_weapons.sandsteel.expire_t = 1
	self.melee_weapons.sandsteel.melee_damage_delay = 0.1
	self.melee_weapons.sandsteel.attack_allowed_expire_t = 0.2

	
    --Chain Whip
	self.melee_weapons.road.stats.min_damage = 6
	self.melee_weapons.road.stats.max_damage = 30
	self.melee_weapons.road.stats.min_damage_effect = 1
	self.melee_weapons.road.stats.max_damage_effect = 1
	self.melee_weapons.road.stats.charge_time = 1.9
	self.melee_weapons.road.stats.concealment = 28
	self.melee_weapons.road.stats.range = 175
	self.melee_weapons.road.repeat_expire_t = 1.75
    self.melee_weapons.road.expire_t = 1.2
	self.melee_weapons.road.melee_damage_delay = 0.4
	
	
    --TUTAJ SKOCZYE DODAWANIE SPEEDSTAT, JESZCZE NIEJ JESZCZE MUSISZ--
	
	
	--Wing Butterfly Knife
		self.melee_weapons.wing.dot_data = {
		type = "poison",
		custom_data = {dot_damage = 1, dot_length = 1, hurt_animation_chance = 0}
	}
	self.melee_weapons.wing.stats.min_damage = 1
	self.melee_weapons.wing.stats.max_damage = 51.5
	self.melee_weapons.wing.stats.min_damage_effect = 0
	self.melee_weapons.wing.stats.max_damage_effect = 0
	self.melee_weapons.wing.stats.charge_time = 4
	self.melee_weapons.wing.stats.range = 160
	self.melee_weapons.wing.stats.concealment = 31
	
	
	--Telescopic Baton
	self.melee_weapons.baton.stats.range = 235
	self.melee_weapons.baton.stats.concealment = 31
	self.melee_weapons.baton.expire_t = 0.65
	
	
	--Classic Baton
	self.melee_weapons.oldbaton.stats.min_damage_effect = 5.5
	self.melee_weapons.oldbaton.stats.range = 235
	self.melee_weapons.oldbaton.stats.concealment = 29
	self.melee_weapons.oldbaton.expire_t = 0.6
	
	
	--Croupier's Rake	
	self.melee_weapons.croupier_rake.stats.min_damage = 3
	self.melee_weapons.croupier_rake.stats.max_damage = 10
	self.melee_weapons.croupier_rake.stats.min_damage_effect = 4.5
	self.melee_weapons.croupier_rake.stats.max_damage_effect = 3
	self.melee_weapons.croupier_rake.stats.range = 250
	self.melee_weapons.croupier_rake.stats.concealment = 29
	self.melee_weapons.croupier_rake.expire_t = 0.725
	
	
	--Buzzer & Electric Brass Knuckles
	self.melee_weapons.taser.attack_allowed_expire_t = 2.8
	self.melee_weapons.taser.stats.charge_time = 2.8
	self.melee_weapons.taser.stats.range = 185
	self.melee_weapons.taser.stats.concealment = 31

	self.melee_weapons.zeus.attack_allowed_expire_t = 2.3
	self.melee_weapons.zeus.stats.charge_time = 2.3
	self.melee_weapons.zeus.stats.range = 185
	self.melee_weapons.zeus.stats.concealment = 28
	
	
	--Kunai
		self.melee_weapons.cqc.dot_data = {
		type = "poison",
		custom_data = {dot_damage = 2.5, dot_length = 9, hurt_animation_chance = 94}
	}
	
	self.melee_weapons.cqc.attack_allowed_expire_t = 2.2
	self.melee_weapons.cqc.repeat_expire_t = 6
	self.melee_weapons.cqc.stats.min_damage = 2
	self.melee_weapons.cqc.stats.max_damage = 2
	self.melee_weapons.cqc.stats.min_damage_effect = 0
	self.melee_weapons.cqc.stats.max_damage_effect = 0
	self.melee_weapons.cqc.stats.charge_time = 2.2
	self.melee_weapons.cqc.stats.concealment = 31
	self.melee_weapons.cqc.stats.range = 160
	
	
	--Poker
		self.melee_weapons.poker.dot_data = {
		type = "poison",
		custom_data = {dot_damage = 0.5, dot_length = 3, hurt_animation_chance = 0}
	}
    self.melee_weapons.poker.anim_attack_vars = {"var2"}
	self.melee_weapons.poker.anim_global_param = "melee_twins"
	self.melee_weapons.poker.repeat_expire_t = 0.484
	self.melee_weapons.poker.stats.weapon_type = "sharp"
	self.melee_weapons.poker.stats.min_damage = 4.5
	self.melee_weapons.poker.stats.max_damage = 12.5
	self.melee_weapons.poker.stats.min_damage_effect = 2
	self.melee_weapons.poker.stats.max_damage_effect = 3
	self.melee_weapons.poker.stats.charge_time = 2.5
	self.melee_weapons.poker.stats.range = 195
	self.melee_weapons.poker.stats.concealment = 27
	

	--Shovel
	self.melee_weapons.shovel.stats.min_damage = 3
	self.melee_weapons.shovel.stats.max_damage = 4
	self.melee_weapons.shovel.stats.min_damage_effect = 3.333333333333333
	self.melee_weapons.shovel.stats.max_damage_effect = 5.625
	self.melee_weapons.shovel.stats.range = 250
	self.melee_weapons.shovel.stats.charge_time = 0.8
    self.melee_weapons.shovel.stats.concealment = 28

	
	end	
	
	